import { headerToggle, headerScrollVisibility } from './header.js';
import { copyLink } from './share.js';
import { bannerStickyMobile } from './banner-sticky-mobile.js';
import { bannerStickyDesktop } from './banner-sticky-desktop.js';
import { themeToggle } from './themeToggle.js';

const responsiveMedium = 1080;
const responsiveSmall = 768;

window.onload = async function () { 
  console.log("SCRIPT LOADED");
  headerToggle();
  headerScrollVisibility();
  copyLink();
  themeToggle();
  bannerStickyMobile(responsiveSmall);
  bannerStickyDesktop(responsiveSmall);
}